<?php
/*
Plugin Name: Delete My Account for Ultimate Membership Pro
Plugin URI: https://store.wpindeed.com/
Description: Every user from Ultimate Membership Pro may delete their profile account with this extension activated
Version: 1.7
Author: WPIndeed
Author URI: https://store.wpindeed.com

Text Domain: delete-my-account-for-ultimate-membership-pro
Domain Path: /languages

@package        Indeed Ultimate Membership Pro AddOn - Delete My Account
@author           WPIndeed Development
*/
add_action( 'init', 'umpDMARun');
if ( !function_exists( 'umpDMARun' ) ){
		function umpDMARun(){
			include plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

			$pluginSettings = new \UmpDMA\Settings();
			$viewObject = new \UmpDMA\View();


			\UmpDMA\Utilities::setSettings( $pluginSettings->get() );
			\UmpDMA\Utilities::setLang();
			if ( !\UmpDMA\Utilities::canRun() ){
					return;
			}

			if ( is_admin() ){
					$UmpDMAAdmin = new \UmpDMA\Admin\Main( $pluginSettings->get(), $viewObject );
			}
			$UmpDMA = new \UmpDMA\Main( $pluginSettings->get(), $viewObject );
		}
}
